aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLukas Reschke <lukas@statuscode.ch>2016-12-16 17:29:27 +0100
committerLukas Reschke <lukas@statuscode.ch>2016-12-19 14:10:13 +0100
commit7b5c28ab2ae746381bf88fc59336672a20aca31d (patch)
treee7c07531c33c4cc65931aeefe3bb4c87e0c1b671
parent55bf9e3f711c5eacfe2c096dd2ee99bc4e7fcf8a (diff)
downloadnextcloud-server-7b5c28ab2ae746381bf88fc59336672a20aca31d.tar.gz
nextcloud-server-7b5c28ab2ae746381bf88fc59336672a20aca31d.zip
Adjust to Nextcloud changes
Signed-off-by: Lukas Reschke <lukas@statuscode.ch>
-rw-r--r--.drone.yml10
-rwxr-xr-xbuild/integration/run.sh44
2 files changed, 41 insertions, 13 deletions
diff --git a/.drone.yml b/.drone.yml
index 2ee5e8c0730..0b930aef501 100644
--- a/.drone.yml
+++ b/.drone.yml
@@ -347,6 +347,15 @@ pipeline:
when:
matrix:
TESTS: integration-filesdrop-features
+ integration-transfer-ownership-features:
+ image: nextcloudci/integration-php7.0:integration-php7.0-2
+ commands:
+ - ./occ maintenance:install --admin-pass=admin
+ - cd build/integration
+ - ./run.sh features/transfer-ownership.feature
+ when:
+ matrix:
+ TESTS: integration-transfer-ownership-features
nodb-codecov:
image: nextcloudci/php7.0:php7.0-6
commands:
@@ -392,6 +401,7 @@ matrix:
- TESTS: integration-sharees-features
- TESTS: integration-setup-features
- TESTS: integration-filesdrop-features
+ - TESTS: integration-transfer-ownership-features
- TESTS: jsunit
- TESTS: check-autoloader
- TESTS: app-check-code
diff --git a/build/integration/run.sh b/build/integration/run.sh
index ff5efe0c3ec..83600d8323e 100755
--- a/build/integration/run.sh
+++ b/build/integration/run.sh
@@ -1,13 +1,24 @@
#!/usr/bin/env bash
-composer install
-
OC_PATH=../../
OCC=${OC_PATH}occ
-
SCENARIO_TO_RUN=$1
HIDE_OC_LOGS=$2
+INSTALLED=$($OCC status | grep installed: | cut -d " " -f 5)
+
+if [ "$INSTALLED" == "true" ]; then
+ # Disable bruteforce protection because the integration tests do trigger them
+ $OCC config:system:set auth.bruteforce.protection.enabled --value false --type bool
+else
+ if [ "$SCENARIO_TO_RUN" != "setup_features/setup.feature" ]; then
+ echo "Nextcloud instance needs to be installed" >&2
+ exit 1
+ fi
+fi
+
+composer install
+
# avoid port collision on jenkins - use $EXECUTOR_NUMBER
if [ -z "$EXECUTOR_NUMBER" ]; then
EXECUTOR_NUMBER=0
@@ -27,15 +38,19 @@ echo $PHPPID_FED
export TEST_SERVER_URL="http://localhost:$PORT/ocs/"
export TEST_SERVER_FED_URL="http://localhost:$PORT_FED/ocs/"
-#Enable external storage app
-$OCC app:enable files_external
+if [ "$INSTALLED" == "true" ]; then
+
+ #Enable external storage app
+ $OCC app:enable files_external
+
+ mkdir -p work/local_storage
+ OUTPUT_CREATE_STORAGE=`$OCC files_external:create local_storage local null::null -c datadir=./build/integration/work/local_storage`
-mkdir -p work/local_storage
-OUTPUT_CREATE_STORAGE=`$OCC files_external:create local_storage local null::null -c datadir=./build/integration/work/local_storage`
+ ID_STORAGE=`echo $OUTPUT_CREATE_STORAGE | awk {'print $5'}`
-ID_STORAGE=`echo $OUTPUT_CREATE_STORAGE | awk {'print $5'}`
+ $OCC files_external:option $ID_STORAGE enable_sharing true
-$OCC files_external:option $ID_STORAGE enable_sharing true
+fi
vendor/bin/behat --strict -f junit -f pretty $SCENARIO_TO_RUN
RESULT=$?
@@ -43,13 +58,16 @@ RESULT=$?
kill $PHPPID
kill $PHPPID_FED
-$OCC files_external:delete -y $ID_STORAGE
+if [ "$INSTALLED" -eq "true" ]; then
+
+ $OCC files_external:delete -y $ID_STORAGE
-#Disable external storage app
-$OCC app:disable files_external
+ #Disable external storage app
+ $OCC app:disable files_external
+fi
if [ -z $HIDE_OC_LOGS ]; then
- tail "${OC_PATH}/data/owncloud.log"
+ tail "${OC_PATH}/data/nextcloud.log"
fi
echo "runsh: Exit code: $RESULT"